# Class CIM_ToDirectoryAction

The ToDirectoryAction association identifies the target directory for a FileAction. When this association is used, the assumption is that the target directory was created by a previous Action. This association cannot co-exist with a ToDirectorySpecification association, since a FileAction can only involve a single target directory.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ToDirectoryAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The ToDirectoryAction association identifies the target directory for a FileAction. When this association is used, the assumption is that the target directory was created by a previous Action. This association cannot co-exist with a ToDirectorySpecification association, since a FileAction can only involve a single target directory.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
DestinationDirectory | CIM_ToDirectoryAction | CIM_DirectoryAction
FileName | CIM_ToDirectoryAction | CIM_CopyFileAction

## Class Methods